/////////////////////////////////////////////////////////////////////
//Grundlage zu Aufgabe 4 in Kapitel Bibliotheken
//Mehrere Rauten an Body anhängen und dadurch Sterne erzeugen.
//Kommentierung siehe Sketch box2dSterne00.
//////////////////////////////////////////////////////////////////////
import shiffman.box2d.*;
import org.jbox2d.collision.shapes.*;
import org.jbox2d.common.*;
import org.jbox2d.dynamics.*;

Box2DProcessing box2d;  

ArrayList<Stern> sterne;
color c; //Farbe der Sterne
	
void setup() {
  size(800,600);  
  smooth();
  // Die Physik-Welt in Box2D initalisieren
  box2d = new Box2DProcessing(this);	
  //...und erzeugen
  box2d.createWorld();
  box2d.setGravity(0,-10);
  sterne = new ArrayList<Stern>(); 
}

void draw() {
  background(0);  
  // Zeitschritt
  box2d.step();    
  if(mousePressed){ 
      c= color(random(255),random(255),random(255));
      Stern sT = new Stern(mouseX,mouseY,c);
      sterne.add(sT); 
  }
  // Alle Sterne anzeigen
  for (Stern sT: sterne) {
    sT.display();
  }
}